aboutsummaryrefslogtreecommitdiffhomepage
path: root/dev/ci/appveyor.sh
diff options
context:
space:
mode:
Diffstat (limited to 'dev/ci/appveyor.sh')
-rw-r--r--dev/ci/appveyor.sh9
1 files changed, 9 insertions, 0 deletions
diff --git a/dev/ci/appveyor.sh b/dev/ci/appveyor.sh
new file mode 100644
index 000000000..524a55a42
--- /dev/null
+++ b/dev/ci/appveyor.sh
@@ -0,0 +1,9 @@
+#!/bin/bash
+set -e -x
+wget https://github.com/fdopen/opam-repository-mingw/releases/download/0.0.0.1/opam64.tar.xz
+tar -xf opam64.tar.xz
+bash opam64/install.sh
+opam init -a mingw https://github.com/fdopen/opam-repository-mingw.git --comp 4.02.3+mingw64c --switch 4.02.3+mingw64c
+eval $(opam config env)
+opam install -y ocamlfind camlp5
+cd $APPVEYOR_BUILD_FOLDER && ./configure -local && make && make byte && make -C test-suite all INTERACTIVE= && make validate